function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from "react";
export var CIcon = function(_0) {
    var _0_size = _0.size, size = _0_size === void 0 ? '1em' : _0_size, props = _object_without_properties(_0, [
        "size"
    ]);
    return /*#__PURE__*/ React.createElement("svg", _object_spread_props(_object_spread({
        width: size,
        height: size
    }, props), {
        version: "1.1",
        viewBox: "0 0 24 24",
        xmlns: "http://www.w3.org/2000/svg"
    }), ' ', /*#__PURE__*/ React.createElement("path", {
        d: "m17.426 16.84 0.51209 2.975c-0.31701 0.1707-0.82909 0.3292-1.5119 0.47551-0.69497 0.1585-1.5119 0.24385-2.4507 0.24385-2.6945-0.04877-4.7185-0.85348-6.0719-2.3897-1.3899-1.5485-2.0483-3.5114-2.0483-5.889 0.04877-2.8165 0.87786-4.9746 2.4873-6.4864 1.5606-1.5241 3.5602-2.3044 5.9743-2.3044 0.91444 0 1.707 0.085348 2.3654 0.23166 0.6584 0.14631 1.1461 0.30481 1.4631 0.4877l-0.73155 3.0359-1.268-0.41455c-0.4877-0.12193-1.0608-0.18289-1.707-0.18289-1.4021-0.012192-2.5726 0.43893-3.4871 1.3412-0.92663 0.89005-1.3899 2.2556-1.4387 4.0723 0.012193 1.6582 0.45112 2.9506 1.3168 3.9016 0.86567 0.93882 2.0727 1.4265 3.6456 1.4387l1.6216-0.14631c0.52428-0.09754 0.96321-0.23166 1.329-0.39016z",
        fill: "#0288d1",
        strokeWidth: "1.2192"
    }), ' ');
};
export default CIcon;
